logo
Apache Lounge
Webmasters

 

About Forum Index Downloads Search Register Log in  RSS Apache Lounge  


Keep Server Online

If you find the Apache Lounge, the downloads and overall help useful, please express your satisfaction with a donation.

or

Bitcoin

A donation makes a contribution towards the costs, the time and effort that's going in this site and building.

Thank You! Steffen

Your donations will help to keep this site alive and well, and continuing building binaries. Apache Lounge is not sponsored.



Post new topic   Forum Index -> Building & Member Downloads View previous topic :: View next topic
Reply to topic   Topic: PHP 7.4.13, 7.3.25, 7.2.34, 7.1, 7.0, 5.6, 5.5, 5.4, 5.3 Page Previous  1, 2, 3 ... 12, 13, 14
Author
Jan-E



Joined: 09 Mar 2012
Posts: 1073
Location: Amsterdam, NL, EU

PostPosted: Sat 09 May '20 20:15    Post subject: Reply with quote

Rerun your build script with nmake snap and they will be copied to the ext folder. Every php_*.dll that you requested in your configure was created.

If you want to use —enable-snapshot, you will have to compile a lot of dependencies as VC9 X64, like libiconv, zlib, enchant etc etc.
Back to top
tanquang



Joined: 21 Mar 2020
Posts: 20
Location: Vietnam

PostPosted: Sun 10 May '20 11:03    Post subject: Reply with quote

Things get more confusing when you don't give an exact guide. This seems too hard...
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 1073
Location: Amsterdam, NL, EU

PostPosted: Sun 10 May '20 12:54    Post subject: Reply with quote

That is because you have to use a different method for every dependent lib or dll. Some of them are using Cmake, some Nmake, some a VS2008 project file, some a VS2012 project file with V90 as platform toolset, some are available as download (like the OCI ones), some are even using a GNU 'make' command. There is no simple guide.

For every item in https://github.com/winlibs you will have to find a way to build X64 VC9 versions.
Back to top
mraddi



Joined: 27 Jun 2016
Posts: 117
Location: Schömberg, Baden-Württemberg, Germany

PostPosted: Tue 26 May '20 8:35    Post subject: Reply with quote

Hello,

I am using the php-7.3-nts-x64 available here and trying to load php_redis.dll by adding "extension=php_redis.dll" to the php.ini. Of course the php_redis.dll is available within the ext-folder.
After reloading the service I receive the following errormessage
PHP Warning: PHP Startup: Unable to load dynamic library 'php_redis.dll' (tried: c:\Program Files\PHP7\ext\php_redis.dll (Das angegebene Modul wurde nicht gefunden.), c:\Program Files\PHP7\ext\php_php_redis.dll.dll (Das angegebene Modul wurde nicht gefunden.)) in Unknown on line 0
The interesting information is that php_php_redis.dll.dll could not be loaded - strange file name. Also tried with "extension=redis" instead with this errormessage
PHP Warning: PHP Startup: Unable to load dynamic library 'redis' (tried: c:\Program Files\PHP7\ext\redis (Das angegebene Modul wurde nicht gefunden.), c:\Program Files\PHP7\ext\php_redis.dll (Das angegebene Modul wurde nicht gefunden.)) in Unknown on line 0

After replacing php_redis.dll + php_redis.pdb with the ones available here
https://windows.php.net/downloads/pecl/snaps/redis/5.1.1/
and reloading the service the errormessage is gone and redis is now listed in phpinfo();
Where is my error? What did I do wrong with the php_redis.dll available within the builds available here? Thanks for any helpful information Smile
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 1073
Location: Amsterdam, NL, EU

PostPosted: Tue 26 May '20 8:38    Post subject: Reply with quote

php_redis.dll in my builds depends on php_igbinary.dll. So you have to load igbinary first.

In PHP >= 7.2 the recommended syntax is

extension=igbinary
extension=redis

Hence the strange error messages.


Last edited by Jan-E on Tue 26 May '20 8:46; edited 1 time in total
Back to top
mraddi



Joined: 27 Jun 2016
Posts: 117
Location: Schömberg, Baden-Württemberg, Germany

PostPosted: Tue 26 May '20 8:45    Post subject: Reply with quote

@Jan-E
Thanks for the fast response - it is working now with the builds available here Very Happy
Back to top
laurin1



Joined: 26 Oct 2014
Posts: 45
Location: Flower Mound, TX

PostPosted: Sat 27 Jun '20 13:09    Post subject: Reply with quote

Will there not be a build for PHP 7.4.7 for some reason?
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 1073
Location: Amsterdam, NL, EU

PostPosted: Sat 27 Jun '20 13:21    Post subject: Reply with quote

Oops. I did not update the topic start post. I even uploaded the builds multiple times. The last one was including Curl 7.71.0 that was released last Wednesday.

Even 7.4.8RC1 and 7.3 20RC1 are already uploaded.
Back to top
laurin1



Joined: 26 Oct 2014
Posts: 45
Location: Flower Mound, TX

PostPosted: Sat 27 Jun '20 13:24    Post subject: Reply with quote

Thanks!
Back to top
akaHaki



Joined: 18 Sep 2015
Posts: 12

PostPosted: Tue 30 Jun '20 10:36    Post subject: Reply with quote

will there be a build for PHP 8.0.0alpha1?
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 1073
Location: Amsterdam, NL, EU

PostPosted: Wed 01 Jul '20 1:04    Post subject: Reply with quote

https://www.apachelounge.com/viewtopic.php?t=6617
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 1073
Location: Amsterdam, NL, EU

PostPosted: Wed 30 Sep '20 19:50    Post subject: Reply with quote

I updated all builds with OpenSSL 1.1.1 to version 1.1.1h
Back to top
tanquang



Joined: 21 Mar 2020
Posts: 20
Location: Vietnam

PostPosted: Thu 01 Oct '20 8:46    Post subject: Reply with quote

Jan-E wrote:
I updated all builds with OpenSSL 1.1.1 to version 1.1.1h

Is PHP 5 versions included? Can you fix libssh2.dll missing error on PHP version 5.3 (x64) and PHP 5.4 (x64)? I use it but get 500 Internal Server Error when opening in browser but it works on Command Prompt (CMD).
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 1073
Location: Amsterdam, NL, EU

PostPosted: Thu 01 Oct '20 11:23    Post subject: Reply with quote

tanquang wrote:
Jan-E wrote:
I updated all builds with OpenSSL 1.1.1 to version 1.1.1h

Is PHP 5 versions included?

PHP 5 is not updated to OpenSSL 1.1.1h, because it still relies on OpenSSL 1.0.2.
tanquang wrote:
Can you fix libssh2.dll missing error on PHP version 5.3 (x64) and PHP 5.4 (x64)? I use it but get 500 Internal Server Error when opening in browser but it works on Command Prompt (CMD).

No. As I told you before the php_ssh2.dll's in all my builds are not dependent on libssh2.dll. See the snapshot.txt.
Code:
Dependency information:
Module: php_ssh2.dll
===========================
   libeay32.dll
Back to top
ltdeta



Joined: 27 Feb 2015
Posts: 4
Location: Germany

PostPosted: Mon 23 Nov '20 12:55    Post subject: Reply with quote

Hello,
the download of the "ImageMagick files" is no longer possible, is it maybe because of the following?

Quote:
You can package your file as an artifact and then download it from AppVeyor. However AppVeyor removes artifacts in 6 month after creation according to the retention policy.
Therefore best approach is to deploy artifact to a storage of your choice.
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 1073
Location: Amsterdam, NL, EU

PostPosted: Mon 23 Nov '20 13:03    Post subject: Reply with quote

Thanks for the heads up. I will create new ones. Actually, I was waiting for ImageMagick to update to 7.0.11, but they are still at 7.0.10. 7.0.10-41 by now.
Back to top
Jan-E



Joined: 09 Mar 2012
Posts: 1073
Location: Amsterdam, NL, EU

PostPosted: Tue 24 Nov '20 12:43    Post subject: Reply with quote

Ouch. That was a hard one. See the commit history at
https://github.com/Jan-E/ImageMagick-Windows/commits/ImageMagick-Windows-7 and the AppVeyor build history:
https://ci.appveyor.com/project/Jan-E/imagemagick-windows/history

Reason: in the original repo the Appveyor build was removed:
https://github.com/ImageMagick/ImageMagick-Windows

Just restoring the Appveyor files in my repositories did not work, because one of the dependencies (libheif) only builds with VS2019. So I had to cope with another AppVeyor worker image:
https://www.appveyor.com/docs/windows-images-software/

In the end I succeeded:
https://ci.appveyor.com/project/Jan-E/imagemagick-windows/builds/36477084
The installers in the artifacts of each job are being flagged as a Trojan by Microsoft Defender, because they are not digitally signed. At this moment you can download the signed installers of the 7.0.10-43 build at https://imagemagick.org/script/download.php

I will gradually rebuild all PHP7 and PHP8 builds with 7.0.10-43.
Back to top


Reply to topic   Topic: PHP 7.4.13, 7.3.25, 7.2.34, 7.1, 7.0, 5.6, 5.5, 5.4, 5.3 View previous topic :: View next topic
Post new topic   Forum Index -> Building & Member Downloads Page Previous  1, 2, 3 ... 12, 13, 14